Skip to content

List this tenant's telephony accounts

GET
/v1/telephony-accounts
curl --request GET \
--url 'https://api.vocapable.com/v1/telephony-accounts?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
mode
Any of:
string

Filter on mode. Comma-separated values are OR.

mode.gte
Any of:
string

Filter on mode with the gte operator.

mode.lte
Any of:
string

Filter on mode with the lte operator.

mode.gt
Any of:
string

Filter on mode with the gt operator.

mode.lt
Any of:
string

Filter on mode with the lt operator.

mode.in
Any of:
string

Filter on mode with the in operator.

provider
Any of:
string

Filter on provider. Comma-separated values are OR.

provider.gte
Any of:
string

Filter on provider with the gte operator.

provider.lte
Any of:
string

Filter on provider with the lte operator.

provider.gt
Any of:
string

Filter on provider with the gt operator.

provider.lt
Any of:
string

Filter on provider with the lt operator.

provider.in
Any of:
string

Filter on provider with the in operator.

verification_status
Any of:
string

Filter on verification_status. Comma-separated values are OR.

verification_status.gte
Any of:
string

Filter on verification_status with the gte operator.

verification_status.lte
Any of:
string

Filter on verification_status with the lte operator.

verification_status.gt
Any of:
string

Filter on verification_status with the gt operator.

verification_status.lt
Any of:
string

Filter on verification_status with the lt operator.

verification_status.in
Any of:
string

Filter on verification_status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[TelephonyAccountSummary]
object
data
required
Data
Array<object>
TelephonyAccountSummary

An account as its tenant sees it - credential material is structurally absent.

object
id
required
Id
string
mode
required
Mode
string
Allowed values: byo managed
provider
required
Provider
string
credentials_stored
required
Credentials Stored
boolean
cps_limit
Any of:
integer
a2p_brand_ref
Any of:
string
ftc_san_refs
Ftc San Refs
Array<object>
FtcSanRef

One FTC Subscription Account Number and the area codes it covers (CANON fact 5).

object
san
required
San
string
area_codes
Area Codes
Array<string>
verification_status
required
Verification Status
string
Allowed values: pending verifying mock_verified verified failed suspended
verified_at
Any of:
string format: date-time
telephony_minutes_metered
required
Telephony Minutes Metered
boolean
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"mode": "byo",
"verification_status": "pending"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}